dots.v2.actionGateway.connections.byId().get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.actionGateway.connections.byId(id).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Get_connection_response>

Description

Returns the connection and, while it is pending, the authorization the user still has to complete. Reading a pending connection picks up a completed authorization, and marks the connection expired once its link has lapsed. Returns 404 for an unknown connection or one you cannot see.

Parameters

id string required

Example: 39f9f768-a7f9-4c91-9557-3328c53dd054

Connection ID.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.actionGateway.connections
    .byId("39f9f768-a7f9-4c91-9557-3328c53dd054").get();

Response Example

Show Response Example
{
  "connection": {
    "id": "39f9f768-a7f9-4c91-9557-3328c53dd054",
    "provider": "jira",
    "provider_display_name": "Jira",
    "user_id": "alice",
    "status": "active",
    "created_at": "2026-07-14T00:50:00Z",
    "updated_at": "2026-07-14T00:52:10Z",
    "revoked_at": null,
    "connection_parameters": {
      "site_url": "https://example.atlassian.net"
    },
    "credential_kind": "digitalocean_oauth",
    "credential_id": "",
    "network": null,
    "scopes": [
      "write:jira-work"
    ],
    "granted_at": "2026-07-14T00:52:10Z",
    "oauth": {
      "scopes": [
        "write:jira-work"
      ],
      "granted_at": "2026-07-14T00:52:10Z"
    }
  },
  "authorization": null
}

More Information

See /v2/action-gateway/connections/{id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.